; WB-tree File Based Associative String Data Base System.
; Copyright (c) 1991, 1992, 1993 Holland Mark Martin
;
;Permission to use, copy, modify, and distribute this software and its
;documentation for educational, research, and non-profit purposes and
;without fee is hereby granted, provided that the above copyright
;notice appear in all copies and that both that copyright notice and
;this permission notice appear in supporting documentation, and that
;the name of Holland Mark Martin not be used in advertising or
;publicity pertaining to distribution of the software without specific,
;written prior consent in each case.  Permission to incorporate this
;software into commercial products can be obtained from Jonathan
;Finger, Holland Mark Martin, 174 Middlesex Turnpike, Burlington, MA,
;01803-4467, USA.  Holland Mark Martin makes no representations about
;the suitability or correctness of this software for any purpose.  It
;is provided "as is" without express or implied warranty.  Holland Mark
;Martin is under no obligation to provide any services, by way of
;maintenance, update, or otherwise.

(require (in-vicinity (program-vicinity) "comp.scm"))
(set! __STDC__ #t) ;; if you want ANSI function prototypes.

(define make
  (let ((progvic (program-vicinity)))
    (lambda ()
      (if (eqv? (software-type) 'vms)
	  (compile (in-vicinity progvic "blkio.scm")))
      (compile (in-vicinity progvic "stats.scm"))
      (compile (in-vicinity progvic "blink.scm"))
      (compile (in-vicinity progvic "ent.scm"))
      (compile (in-vicinity progvic "del.scm"))
      (compile (in-vicinity progvic "prev.scm"))
      (compile (in-vicinity progvic "scan.scm"))
      (compile (in-vicinity progvic "prev.scm"))
      (compile (in-vicinity progvic "handle.scm"))
      (compileh (in-vicinity progvic "defs.scm"))
      (if (and (= 2 (length (program-arguments)))
	       (string-ci=? "make.scm" (cadr (program-arguments))))
	  (quit)				;was invoked from Makefile
	  (if (eqv? (software-type) 'vms)
	      (system "@VMSBUILD")
	      (system "make"))))))

(make)
